=== freebsd/tsctp/Makefile ===
PORTNAME=	tsctp
DISTVERSION=	0.8.1
PORTREVISION=	1
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	SCTP Test Tool
WWW=		https://www.nntb.no/~dreibh/tsctp/

LICENSE=	BSD2CLAUSE
LICENSE_FILE=	${WRKSRC}/COPYING-BSD

USES=		cmake tar:xz

PLIST_FILES=	bin/tsctp \
		share/man/man1/tsctp.1.gz

.include <bsd.port.mk>
