=== debian/changelog ===
tsctp (0.8.1-1) unstable; urgency=low

  * Closes: #998879 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:33:40 +0100
