=== debian/control ===
Source: tsctp
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/tsctp/
Vcs-Git: https://github.com/dreibh/tsctp.git
Vcs-Browser: https://github.com/dreibh/tsctp
Build-Depends: cmake,
               debhelper-compat (= 13),
               libsctp-dev (>= 1.0.5)
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: tsctp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer,
            iproute2,
            netperfmeter,
            rsplib-tools,
            subnetcalc,
            tshark
Suggests: dynmhs,
          iputils-tracepath,
          ping | iputils-ping,
          td-system-tools,
          traceroute | inetutils-traceroute
Description: SCTP Test Tool
 TSCTP is an SCTP test tool. Its purpose is to perform basic SCTP
 functionality tests to check implementations interoperability and
 to verify that the SCTP stack is working.
