## tsctp 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5...3.31)
 PROJECT(tsctp LANGUAGES C)
 
 SET(BUILD_MAJOR "0")
 SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "1")
+SET(BUILD_PATCH "2")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
