=== debian/changelog ===
tsctp (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 11:18:07 +0200
