=== debian/changelog ===
tsctp (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:59:08 +0200
