=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libsctp-dev (>= 1.0.5)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: tsctp
