## tsctp 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "0")
 SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "3")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
