=== src/CMakeLists.txt ===
# TSCTP
# Copyright (c) 2005 - 2011 Michael Tuexen, tuexen@fh-muenster.de
# Copyright (C) 2009 - 2025 Thomas Dreibholz, thomas.dreibholz@gmail.com
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

ADD_EXECUTABLE(tsctp tsctp.c)
TARGET_LINK_LIBRARIES(tsctp ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS       tsctp   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES         tsctp.1 DESTINATION         ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES         tsctp.bash-completion
        DESTINATION   ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME        tsctp)
