=== freebsd/tsctp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	tsctp
-DISTVERSION=	0.8.3
+DISTVERSION=	0.8.4
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/
