=== debian/changelog ===
tsctp (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 24 Oct 2025 12:53:31 +0200

tsctp (0.8.3-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:59:08 +0200

tsctp (0.8.2-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 11:18:07 +0200

tsctp (0.8.1-1ubuntu1) trixie; urgency=medium
  * Closes: #998879 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:33:40 +0100
